be.fgov.ehealth.rn.baselegaldata.v1

## Class AbstractOptionalDeceaseType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalDeceaseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DeceaseInfoBaseType, DeceaseInfoWithStatusAndSourceType, DeceaseInfoWithUpdateStatusType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public abstract class AbstractOptionalDeceaseType
      extends Object
      implements Serializable

  Java class for AbstractOptionalDeceaseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AbstractOptionalDeceaseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DeceaseGroup" minOccurs="0"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOptionalDeceaseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeceaseDate()` Gets the value of the deceaseDate property.
    `LocationType` | `getDeceasePlace()` Gets the value of the deceasePlace property.
    `void` | `setDeceaseDate(String value)` Sets the value of the deceaseDate property.
    `void` | `setDeceasePlace(LocationType value)` Sets the value of the deceasePlace property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptionalDeceaseType

          public AbstractOptionalDeceaseType()

  - ### Method Detail

    - #### getDeceaseDate

          public String getDeceaseDate()

      Gets the value of the deceaseDate property.
      Returns:
        possible object is `String`

    - #### setDeceaseDate

          public void setDeceaseDate(String value)

      Sets the value of the deceaseDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDeceasePlace

          public LocationType getDeceasePlace()

      Gets the value of the deceasePlace property.
      Returns:
        possible object is `LocationType`

    - #### setDeceasePlace

          public void setDeceasePlace(LocationType value)

      Sets the value of the deceasePlace property.
      Parameters:
        `value` - allowed object is `LocationType`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.